| Classes - Annotated - Tree - Functions - Home - Structure

# QDragEnterEvent Class Reference

The event sent to widgets when a drag-and-drop first drags onto it. More...

`#include <qevent.h>`

Inherits QDragMoveEvent.

List of all member functions.

## Public Members

- QDragEnterEvent ( const QPoint & pos )

## Detailed Description

The event sent to widgets when a drag-and-drop first drags onto it.

This event is always immediate followed by a QDragMoveEvent, thus you need only respond to one or the other event. Note that this class inherits most of its functionality from QDragMoveEvent, which in turn inherits most of its functionality from QDropEvent.

See also QDragLeaveEvent, QDragMoveEvent and QDropEvent.

Examples: desktop/desktop.cpp

## Member Function Documentation

### QDragEnterEvent::QDragEnterEvent ( const QPoint & pos )

Constructs a QDragEnterEvent entering at the given point. Note that QDragEnterEvent constructed outside of the Qt internals will not work - they currently rely on internal state.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.